
Redmine - Defect #5925

parent task's priority edit should be disabled through shortcut menu in issues list page

2010-07-21 10:27 - Sheng Wang

Status: Closed Start date: 2010-07-21

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 1.0.1   

Resolution: Fixed Affected version:  

Description

When edit a parent task, the priority is disabled.

 

However, shortcut menu is allowed to edit priority field. Though there are update successfully notice, the priority haven't been

modified in fact.

 

Associated revisions

Revision 3869 - 2010-07-25 11:38 - Jean-Philippe Lang

Disable priority (#5925) and progress in context menu for parent issues.

Revision 3887 - 2010-07-25 13:55 - Jean-Philippe Lang

Fixes context menu broken by r3869 (#5925).

History

#1 - 2010-07-21 10:27 - Sheng Wang

- File enabled.png added

#2 - 2010-07-25 11:40 - Jean-Philippe Lang

- Category set to Issues

- Status changed from New to Closed

- Target version set to 1.0.1

- Resolution set to Fixed
Fixed in r3869.

#3 - 2010-07-25 12:58 - Felix Schäfer

- Status changed from Closed to Reopened

- Assignee set to Jean-Philippe Lang

Jean-Philippe, this seems to break the context menu when selecting many issues: (great to have you back, by the way!)

Processing IssuesController#context_menu (for 129.217.54.189 at 2010-07-25 12:51:32) [POST]

  Parameters: {"back_url"=>"/projects/sandbox/issues", "ids"=>["861", "847"], "action"=>"context_menu", "authe

nticity_token"=>"[EDITED]", "controller"=>"issues", "_"=>""}

Rendering issues/context_menu

ActionView::TemplateError (undefined method `leaf?' for nil:NilClass) on line #37 of app/views/issues/context_

menu.rhtml:

34:             <ul>

35:             <% @priorities.each do |p| -%>

36:                 <li><%= context_menu_link p.name, {:controller => 'issues', :action => 'bulk_edit', :ids =

> @issues.collect(&:id), :issue => {'priority_id' => p}, :back_url => @back}, :method => :post,

37:                                           :selected => (@issue && p == @issue.priority), :disabled => (!@c

an[:edit] || !@issue.leaf?) %></li>

38:             <% end -%>

39:             </ul>

40:     </li>

    app/views/issues/context_menu.rhtml:37:in `_run_rhtml_app47views47issues47context_menu46rhtml'

    app/views/issues/context_menu.rhtml:35:in `each'

    app/views/issues/context_menu.rhtml:35:in `_run_rhtml_app47views47issues47context_menu46rhtml'

    app/controllers/issues_controller.rb:354:in `context_menu'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/rack/request_handler.rb:92:in `process_request'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_request_handler.rb:207:in `main_loop'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/railz/application_spawner.rb:441:in `start_request_handler

'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/railz/application_spawner.rb:381:in `handle_spawn_applicat

ion'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/utils.rb:252:in `safe_fork'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/railz/application_spawner.rb:377:in `handle_spawn_applicat

ion'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/railz/application_spawner.rb:222:in `start'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/railz/framework_spawner.rb:291:in `handle_spawn_applicatio

n'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/railz/framework_spawner.rb:286:in `handle_spawn_applicatio

n'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/railz/framework_spawner.rb:284:in `handle_spawn_applicatio

n'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:163:in `start'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/railz/framework_spawner.rb:101:in `start'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/spawn_manager.rb:253:in `spawn_rails_application'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server_collection.rb:126:in `lookup_or_add'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/spawn_manager.rb:247:in `spawn_rails_application'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server_collection.rb:80:in `synchronize'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server_collection.rb:79:in `synchronize'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/spawn_manager.rb:246:in `spawn_rails_application'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/spawn_manager.rb:145:in `spawn_application'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/spawn_manager.rb:278:in `handle_spawn_application'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:352:in `__send__'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:352:in `main_loop'

    /usr/lib64/ruby/site_ruby/1.8/phusion_passenger/abstract_server.rb:196:in `start_synchronously'

    /usr/lib/phusion_passenger/passenger-spawn-server:61

Rendering /var/www/orga.fachschaften.org/public/500.html (500 Internal Server Error)
https://www.redmine.org/projects/redmine/repository/svn/revisions/3869


#4 - 2010-07-25 13:56 - Jean-Philippe Lang

- Status changed from Reopened to Closed

Fixed in r3887, sorry.
